Subject: Re: bug#58429: 29.0.50; inhibit-automatic-native-compilation does not work as expected.

From: Andrea Corallo <[email-masked]>
Date: Thu, 13 Oct 2022 14:10:52 +0000

Max Brieiev <[email-masked]> writes:

> Eli Zaretskii <[email-masked]> writes:
>
>>> From: Max Brieiev <[email-masked]>
>>> Cc: [email-masked],  [email-masked],  [email-masked]
>>> Date: Wed, 12 Oct 2022 17:11:14 +0300
>>> 
>>> Eli Zaretskii <[email-masked]> writes:
>>> 
>>> > Where do you see a message saying that the error is about creating the
>>> > file on disk?  The error message you quoted was different:
>>> >
>>> >   x86_64-unknown-linux-gnu-gcc-10.3.0: fatal error: cannot execute ‘as’: execvp: No such file or directory
>>> >
>>> 
>>> But it also says:
>>> 
>>>     Compiling /tmp/comp-lambda-RCGJQI.eln
>>
>> Yes, but that's not an error message, that's an announcement of what
>> Emacs tries to do.
>
> Right, and the question was whether this was the correct behaviour for
> Emacs to try to produce eln files, when
> inhibit-automatic-native-compilation was non-nil.

As Eli mentioned unfortunately we cannot disable trampolines.

But you are absolutely right, for a variable with such a name this
behavior is totally unexpectedle by the user.  I signaled that last week
(with no results) and indeed this is only the first of other bugs
reports we will get for this.

I've been explained this change is in master "for discussion" so I still
hope it will be reverted.

  Andrea